Page MenuHomeFreeBSD

Upgrade databases/py-sqlalchemy
AbandonedPublic

Authored by matthew on Oct 7 2014, 10:04 AM.
Tags
None
Referenced Files
F77715013: D908.diff
Thu, Feb 22, 1:40 PM
Unknown Object (File)
Wed, Feb 14, 11:24 PM
Unknown Object (File)
Sun, Feb 11, 3:09 PM
Unknown Object (File)
Fri, Feb 9, 8:41 PM
Unknown Object (File)
Fri, Feb 2, 2:53 PM
Unknown Object (File)
Tue, Jan 30, 10:37 PM
Unknown Object (File)
Sun, Jan 28, 6:44 AM
Unknown Object (File)
Jan 21 2024, 12:38 PM
Subscribers

Details

Summary

This is quite large revision of proposed py-sqlalchemy upgrade with
all other changes surrounding it, required to keep ports consistent
and working after the change is committed.

PR 191442

Update robak's patches to the current practice in the ports tree

  • No explicit ${PORTSDIR} in DEPENDENCY lines
  • Options helpers + option dependent targets
  • Use of TEST_DEPENDS and TEST_TARGET, rather than via OPTIONS
  • autoplist for the docs as well as python code

Install all the documentation: previously, only a subset was
installed, but that missed out CSS, images and other assets, as well
as the top-level index.html.

Remove various bits that were implemented for earlier versions of
py-sqlalchemy but are no longer relevant due to upstream changes.

Add conflicts between the various py-sqlalchemyXX versioned ports.

Add a port for the current release version py-sqlalchemy10.

Update all variants to the latest available release in each branch.

Deprecate py-sqlalchemy{06,07} as these have beed EoL'd upstream.
Allow 3 months before expiry.

For 0.9.x and later prefer py-pytest over py-nose for testing.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Tests Skipped

Event Timeline

robak retitled this revision from to Upgrade databases/py-sqlalchemy.
robak updated this object.
robak edited the test plan for this revision. (Show Details)
robak added reviewers: swills, marino, koobs.

This is a very first version of the proposed changes, by no means final - please, review and propose any fixes, point out any mistakes. The review is sent without commit message, as this will be written once everything is done, agreed and the scope of changes is known.

Chances are the comments I've added to py-sqlalchemy07 are equally valid to 06, 08 and py-sqlalchemy.

What with so many ports differing only by PORTVERSION, you might want to think about using slaveports instead, and have py-sqlalchemy/ contain a Makefile.common

databases/py-sqlalchemy07/Makefile
4

PORTNAME= sqlalchemy

11

PKGNAMESUFFIX= 07

21

USES= python

22

USE_PYTHON= distutils autoplist concurrent

38

candidate for uniquefiles?

42

covered by uniquefiles

45

use options helpers

52

FIREBIRD_RUN_DEPENDS= .....

57

MSSQL_RUN_DEPENDS=.........

71

TESTS_BUILD_DEPENDS=...

75

PGSQL_RUN_DEPENDS=..

79

SQLITE_RUN_DEPENDS=

83

SYBASE_RUN_DEPENDS=

87

-i.bak is unnecessary

Looks mostly fine, it's a shame we have to keep so many old versions around. Using the options helpers would be good. I'm not sure what I think about making some of them slaves. I dislike slave ports in general, but it does help reduce duplication.

koobs requested changes to this revision.Oct 13 2014, 2:24 AM
koobs edited edge metadata.

Inline comments for changes, plus changeset missing:

  • databases/Makefile changes (additions, deletions)
  • MOVED entry additions
databases/py-sqlalchemy/Makefile
21

This can go

databases/py-sqlalchemy07/Makefile
38

OPTIONSFILE override no longer necessary

60

MYSQL_RUN_DEPENDS=

61

Use PYTHON_REL

databases/py-sqlalchemy08/Makefile
13

Might be worth adding a (0.8.x) suffix to the end of this COMMENT (and in the other sqlalchemy0x ports)

This revision now requires changes to proceed.Oct 13 2014, 2:24 AM
robak edited edge metadata.
  • Changed most things proposed by koobs
  • Minor cleanup

@koobs, what do you mean with 'Use PYTHON_REL'? This is the only thing I've ommitted from your comments, since it wasnt clear to me.

robak edited edge metadata.

Changed PYTHON_VER to PYTHON_REL per koob's request.

Guys, any comments on the latest revision?

koobs requested changes to this revision.Nov 20 2014, 12:25 PM
koobs edited edge metadata.

Changes look good to me, approval pending:

  • MOVEDlint.awk output for database category change
  • poudriere output on the new ports
  • proposed commitlog with change list
This revision now requires changes to proceed.Nov 20 2014, 12:25 PM

Robak, can you close this review? or do something with it?

It actually needs refreshing and I am working on it, but currently GH -> BGZ integration has higher priority.

can this revision be abandoned?

matthew added a reviewer: robak.

By kind permission of Bartek

matthew edited edge metadata.
matthew edited edge metadata.
matthew added a reviewer: pi.
matthew removed a subscriber: matthew.
pi edited edge metadata.

Looks fine from what I can see.

matthew edited edge metadata.

PYTHON_REL takes a 4 digit version number.

matthew edited edge metadata.

Add MOVED entries

The test target should be 'do-test:'

C-extensions are apparently not supported with Python 3.4, so prevent the build erroring out if there are no .so files to strip.

Fix py-sqlalchemy07 for use with python34 by making equivalent changes to those done for py-sqlalchemy{08,09,10}

Use ${PKGNAMESUFFIX} rather than fiddling with the ${PORTNAME} for py-sqlalchemy07

Chase dependencies: update *_DEPENDS lines to reference the new names of any
renamed ports.

Make math/py-pandas depend on py-sqlalchemy08 and delete comments about
the lack of availability of a port of sqlalchemy 0.8.x

Errr... Lets try that again with the correct .diff

Chase dependencies: update *_DEPENDS lines to reference the new names of any
renamed ports.

Make math/py-pandas depend on py-sqlalchemy08 and delete comments about
the lack of availability of a port of sqlalchemy 0.8.x

Properly fix dependencies on py-sqlalchemyXX ports.

Feh. It was committed, but the auto-close thing failed, and it seems it can't be manually closed other than by abandoning it.